%define name libsdbi
%define major 1
%define libname libsdbi%{major}
%define version 1.2.4
%define release 2mdk


Summary: 	Simple Database Interface Library
Name: 		%name
Version: 	%version
Release: 	%release
Group: 		System/Libraries
License: 	LGPL
Source: 	%name-%version.tar.bz2
URL: 		http://adv.org.ua/devel/libsdbi
Buildroot:	%_tmppath/%name-buildroot

%description
The libsdbi API provide standard accessing to database data.

%package -n %{libname}
Summary:        Simple Database Interface Library Development
Group:          Development/C

%description -n %{libname}
The libsdbi API provide standard accessing to database data.

%package -n %{libname}-devel
Summary: 	Simple Database Interface Library Development
Group: 		Development/C
Provides: 	libsdbi-devel
Requires:	%libname = %version


%description -n %{libname}-devel
The libsdbi API provide standard accessing to database data.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install

%makeinstall

for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done


%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*
%doc AUTHORS COPYING INSTALL
%doc README TODO ChangeLog

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc
%_libdir/*.so
%_libdir/*.a
%_includedir/sdbi

%changelog
* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-2mdk
- rebuild

* Thu Mar 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4
- update files section

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3-1mdk
- submitted by Andriy Marchenko <adv@adv.org.ua> :
	- Initial spec file created 
